import { I18nBaseService } from 'totvs-log-base-foundation';
import { OnInit, EventEmitter } from '@angular/core';
import { ThfRadioGroupOption, ThfModalAction, ThfModalComponent } from '@totvs/thf-ui';
import { IChangeLanguageLiterals } from './change-language-literals.interface';
export declare class ChangeLanguageComponent implements OnInit {
    i18n: I18nBaseService;
    literals: IChangeLanguageLiterals;
    afterChangeLanguage: EventEmitter<string>;
    changeLanguageModal: ThfModalComponent;
    private _primaryAction;
    readonly primaryAction: ThfModalAction;
    private _secondaryAction;
    readonly secondaryAction: ThfModalAction;
    private _languageOptions;
    readonly languageOptions: Array<ThfRadioGroupOption>;
    selectedLanguage: string;
    constructor(i18n: I18nBaseService);
    ngOnInit(): void;
    openChangeLanguageModal(): void;
    private setModalActions;
    private setLanguageOptions;
    private changeLanguage;
}
